@echo off
:: ======================================================================================
:: Filename: efixpackage.bat
::
:: Copyright 2013, 2022 Teradata. All rights reserved.
:: TERADATA CORPORATION CONFIDENTIAL AND TRADE SECRET
::
:: Make sure we got a parameter for the package name
::
:: History Revision
::
::   15.00.00.00 2014Apr22 aw186011 CLNTINS-4699  merge fix from main to efix 
::                                                branch for eFix.bat is failing
::   17.20.00.00 2022Jun27 SG255032 CLNTINS-16915 Update during install efixpackage.bat 
::                                                to not cache packages
:: ======================================================================================

:: Set the folder containing the efixpackage.bat file as the current working directory 
set THIS_DIR=%CD%
cd %~dp0

:: echo Two parameters are required - PackageName and ShortVersion
if "%1" == "" goto DisplayUsage
if "%2" == "" goto DisplayUsage

setlocal ENABLEEXTENSIONS

:installpacakge
set logfile="%temp%\%1.log"
setup.exe /s /w /v/qn /v"/l*v %logfile%" /v"ARPSYSTEMCOMPONENT=1"
goto done

:DisplayUsage
echo Please run efix.bat
echo.
pause

:done
set logfile=
cd %THIS_DIR%